REQUEST_FIRMWARE(9)

NAME
request_firmware - send firmware request and wait for it

SYNOPSIS

int request_firmware (const struct firmware ** firmware_p, const char * name, struct device * device);

ARGUMENTS

firmware_p
    pointer to firmware image

name
    name of firmware file

device
    device for which firmware is being loaded

DESCRIPTION

 firmware_p will be used to return a firmware image by the name of name for device device.

Should be called from user context where sleeping is allowed.

 name will be used as $FIRMWARE in the uevent environment and should be distinctive enough not to be confused with any other firmware image for this or any other device.